# class Gem::Package::FormatError

### Attributes

path [R]

### Public Class Methods

new (message, source = nil)
Source

    # File lib/rubygems/package.rb, line 59
    def initialize(message, source = nil)
      if source
        @path = source.is_a?(String) ? source : source.path

        message += " in #{path}" if path
      end

      super message
    end

Calls superclass method `Exception::new`